petsc-3.7.7 2017-09-25
Report Typos and Errors

# KSPFCGGetTruncationType

get the truncation strategy employed by FCG

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPFCGGetTruncationType(KSP ksp,KSPFCDTruncationType *truncstrat)

Not Collective

### Input Parameter

ksp -the Krylov space context

### Output Parameter

truncstrat -the strategy type

### Keywords

KSP, FCG, truncation

### See Also

KSPFCG, KSPFCGSetTruncationType, KSPFCDTruncationType

Level:intermediate
Location:src/ksp/ksp/impls/fcg/fcg.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages